# @summary install the datapusher
#
class ckan::install::datapusher {
  $datapusher_dir = '/usr/lib/ckan/datapusher'
  $datapusher_src = "${datapusher_dir}/src"

  file { '/usr/local/bin/ckan_install_datapusher.bash':
    ensure  => file,
    mode    => '0755',
    content => epp('ckan/scripts/ckan_install_datapusher.bash.epp',{ python_version => $ckan::python_version }),
    require => File['/usr/lib/ckan','/usr/lib/ckan/default'],
  }

  file { [$datapusher_dir,$datapusher_src]:
    ensure  => directory,
    require => File['/usr/local/bin/ckan_install_datapusher.bash'],
  }
  vcsrepo { $datapusher_src:
    ensure   => present,
    provider => 'git',
    source   => 'https://github.com/ckan/datapusher.git',
    revision => $ckan::datapusher_version,
  }
  exec { 'install_datapusher':
    command => '/usr/local/bin/ckan_install_datapusher.bash',
    creates => "${datapusher_src}/datapusher.egg-info/PKG-INFO",
    timeout => 0,
    require => Vcsrepo[$datapusher_src],
  }
}
